
ldflags =
noinst_PROGRAMS =

if FXT_HAVE_WINDOWS
ldflags += -Xlinker --output-def -Xlinker .libs/libfxt.def

if FXT_HAVE_MS_LIB
.libs/libfxt-2.lib: libfxt.la dolib
	./dolib "$(FXT_MS_LIB)" $(FXT_MS_LIB_ARCH) .libs/libfxt.def libfxt-2 .libs/libfxt-2.lib
all-local: .libs/libfxt-2.lib
endif FXT_HAVE_MS_LIB

install-exec-hook:
	$(INSTALL) .libs/libfxt.def $(DESTDIR)$(libdir)
if FXT_HAVE_MS_LIB
	$(INSTALL) .libs/libfxt-2.lib $(DESTDIR)$(libdir)
	$(INSTALL) .libs/libfxt-2.exp $(DESTDIR)$(libdir)
endif FXT_HAVE_MS_LIB

endif

# Flags globaux
AM_CFLAGS= @AM_LFS_CFLAGS@
AM_LDFLAGS= @AM_LFS_LDFLAGS@
AM_CPPFLAGS= -I$(srcdir)/../kernel/linux-fkt/include
libfxt_la_LDFLAGS = $(ldflags) -no-undefined -version-info 2:0:0
libfxt_la_LIBADD = $(FXT_LIBS)

noinst_HEADERS = fxt_internal.h fut-template.h timer.h
dist_noinst_SCRIPTS = template2h.pl makediff
include_HEADERS = fxt-tools.h fxt.h fut.h
pkginclude_HEADERS = fxt-tools.h fxt.h fut.h
dist_bin_SCRIPTS = sigmund
noinst_PROGRAMS += fut_bench

EXTRA_DIST = fkt_bufstats fkt_timestats fkt_timestats-log time.c timer.c tbx_timing.h dolib.c

# Les programmes
bin_PROGRAMS = fxt_print
if FKT
bin_PROGRAMS += fkt_record fkt_setmask fkt_extract fkt_print
if X11
bin_PROGRAMS += fkt_select
endif
SYMLINKS_PROGS = fkt_disable fkt_enable fkt_probe0
endif
noinst_PROGRAMS += test
TESTS = test
install-exec-local:
	set -e; \
	cd $(DESTDIR)$(bindir) ; \
	$(foreach prog, $(SYMLINKS_PROGS), \
	  $(RM) $(prog)$(EXEEXT) ; \
	  $(LN_S) fkt_setmask$(EXEEXT) $(prog)$(EXEEXT) ;)

fxt_print_LDADD = libfxt.la
fxt_print.$(OBJEXT): fut.h fut_print.h

fkt_print_LDADD = libfxt.la
fkt_print.$(OBJEXT): fut.h fut_print.h

fkt_record_LDADD = libfxt.la

fkt_select_LDADD = -L/usr/X11R6/lib -lX11

fut_bench_LDADD = libfxt.la -lpthread

test_LDADD = libfxt.la
test.$(OBJEXT): fut.h fut_print.h

ev.lo: fut.h

# La bibliothèque
lib_LTLIBRARIES = libfxt.la

libfxt_la_SOURCES = fxt.c names.c symbols.c pids.c get_cpu_info.c ev.c fut_setup.c fut_record.c
libfxt_la_SOURCES += fxt/trap_names.h fxt/sysirq_names.h fxt/syscall_names.h fkt_code_name.h 

# Les trucs spéciaux
CLEANFILES = fut.h fut_print.h temp temp2 fxt_print.log fxt_print.1
BUILT_SOURCES = fut.h fut_print.h
fut.h: fut-template.h template2h.pl
	./template2h.pl < $< > $@
fut_print.h: fut.h
	$(AWK) 'BEGIN \
			{ print "/* this is a generated file,"\
				"do not edit it */" \
			}\
		/^#define.*FUT_.*_CODE/ \
			{ print "{ "$$2", \"" \
				tolower(gensub("_CODE$$","","g",$$2)) \
				"\"}," \
			}' \
		$< > $@ || ( $(RM) -f $@ ; exit 1 )

fxt_print.1: fxt_print
	help2man --version-string=$(VERSION) -N -n "Dump the content of an FxT trace file" --output=$@ ./$<

man1_MANS = fxt_print.1
